Summary: Bidwatcher tracks and snipes eBay auctions 
Name: bidwatcher
%define version 1.1.6a
Version: %{version}
Release: 1
Source: http://www.midwestcs.com/bidwatcher/download/bidwatcher-%{version}.tar.gz
Copyright: GPL
Group: Applications/Internet
Buildroot: /var/tmp/%{name}
Prereq: qt1x
Requires: qt1x slocate
# Build-Requires: qt1x-devel

%description
Bidwatcher is a tracking and 'sniping' tool.  This means that it 
will watch, and make bids 'at the last minute' in an attempt to 
successfully be the high bidder in an eBay auction, without 
prematurely exposing one's interest in a given auction's contents, 
and thus alerting others who might study your bidding interests and 
patterns. 

It was initially written by  trent@rmci.net (Trent McNair) and 
tmcnair@cyberhighway.net (Tom McNair); They discontinued maintenance, 
handed off the package to  wayne@midwestcs.com (Wayne Schlitt) in 
early 2000,

%prep

%setup -q

%build
# autoconf is needed, but for the moment, do a subset
#	with shell scripting tools -- RPH -- 000609
#	
#	find the qt-1 headers 
QTH=`locate  qpopupmenu.h  | grep qt-1 `
DQTH=`dirname ${QTH}`
#	the qt-1 libraries, 
LQT=`locate libqt.so  | grep qt-1 | grep so$ `
DLQT=`dirname ${LQT}`
#	and the corresponding qt-1 moc
MOC=`locate   moc |  grep qt-1 `

#
#	We don't seem to need to feed the TIME option at 1.1.6-final
#
make SYSCONF_MOC=${MOC} QTDIR=${DQTH} SYSCONF_LFLAGS_QT=-L${DLQT}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc/bidwatcher

#	The Makefile needs an install stanza -- fake it here
#	for the present
# make DESTDIR=$RPM_BUILD_ROOT install install-man

install -c -m0755 bidwatcher $RPM_BUILD_ROOT/usr/local/bin
install -c -m0755 doc/* $RPM_BUILD_ROOT/usr/doc/bidwatcher

chmod 0755 $RPM_BUILD_ROOT/usr/local/bin/bidwatcher


%post

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE README doc/*
/usr/local/bin/bidwatcher
#
#	We need a TODO and

%changelog
* Fri Jun 10 2000 R P Herrold <herrold@owlriver.com>
- Initial packaging

